﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Irony.Interpreter.Ast;

namespace Fi.Partners.Plugins.Traffic.TimeArithmetic
{
	public class ExpressionNode : AstNode
	{
		private AstNode InnerExpression;

		public override void Init(Irony.Ast.AstContext context, Irony.Parsing.ParseTreeNode treeNode)
		{
			base.Init(context, treeNode);

			InnerExpression = AddChild("Inner", treeNode.ChildNodes[0]);
		}

		protected override object DoEvaluate(Irony.Interpreter.ScriptThread thread)
		{
			return InnerExpression.Evaluate(thread);
		}
	}
}
